<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="e01b2fea-03c9-4460-885e-d762aec0bf16" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/vcs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/Main.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/entities/Operation.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="401">
              <caret line="32" column="8" selection-start-line="32" selection-start-column="8" selection-end-line="32" selection-end-column="8" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="170">
              <caret line="10" selection-start-line="10" selection-end-line="10" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/service/BankAccountServiceImplTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1292">
              <caret line="80" column="44" selection-start-line="80" selection-start-column="44" selection-end-line="80" selection-end-column="44" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/enumeration/OperationTypeEnum.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/exception/InvalidAmountException.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="2" column="60" selection-start-line="2" selection-start-column="44" selection-end-line="2" selection-end-column="60" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/service/BankAccountService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="136">
              <caret line="8" selection-start-line="8" selection-end-line="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/utils/MonetaryFormatTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="16" column="17" selection-start-line="16" selection-start-column="17" selection-end-line="16" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/service/OperationsDisplayService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="13" column="4" selection-start-line="13" selection-start-column="4" selection-end-line="13" selection-end-column="4" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/exception/NotEnoughBalanceException.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/service/BankAccountServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="115">
              <caret line="16" column="32" selection-start-line="16" selection-start-column="32" selection-end-line="16" selection-end-column="32" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="JUnit5 Test Class" />
        <option value="Class" />
        <option value="Arquillian JUnit Test Class" />
        <option value="JUnit4 Test Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/model/Operation.java" />
        <option value="$PROJECT_DIR$/src/main/java/Enum/OperationType.java" />
        <option value="$PROJECT_DIR$/src/main/java/exception/NotEnoughFundsException.java" />
        <option value="$PROJECT_DIR$/src/main/java/exception/NotEnoughBalanceException.java" />
        <option value="$PROJECT_DIR$/src/test/java/exception/NegativeAmountExceptionTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/exception/NegativeAmountException.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/enumeration/OperationTypeEnum.java" />
        <option value="$PROJECT_DIR$/src/test/java/utils/MonetaryFormatTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/service/OperationsDisplayServiceTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/entities/Account.java" />
        <option value="$PROJECT_DIR$/src/main/java/service/BankAccountService.java" />
        <option value="$PROJECT_DIR$/src/main/java/utils/MonetaryFormat.java" />
        <option value="$PROJECT_DIR$/src/main/java/entities/Operation.java" />
        <option value="$PROJECT_DIR$/src/main/java/service/BankAccountServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/service/OperationsDisplayService.java" />
        <option value="$PROJECT_DIR$/src/test/java/service/BankAccountServiceImplTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/Main.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="bank-account-kata" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="bank-account-kata" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="bank-account-kata" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Dependencies" type="f4be9f2a:MavenProjectsStructure$DependenciesNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="2084" />
    <option name="width" value="1400" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="entities" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="enumeration" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="exception" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bankaccountkata" type="b2602c69:ProjectViewProjectNode" />
              <item name="bankaccountkata" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="SONARLINT_PRECOMMIT_ANALYSIS" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit4" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.Arquillian JUnit4" value="" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit4" value="" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5" value="" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="vcs.Git" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="service" />
      <recent name="utils" />
      <recent name="exception" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="service" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\formation\Desktop\bankaccountkata\src\main\java" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.BankAccountServiceImplTest">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Main" />
      <module name="bankaccountkata" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="BankAccountServiceImplTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bankaccountkata" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="service" />
      <option name="MAIN_CLASS_NAME" value="service.BankAccountServiceImplTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bankaccountkata" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="service" />
      <option name="MAIN_CLASS_NAME" value="service.BankAccountServiceImplTest" />
      <option name="METHOD_NAME" value="shouldGetNotEnoughBalanceException" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="BankAccountServiceImplTest.shouldGetTransactions" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bankaccountkata" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="service" />
      <option name="MAIN_CLASS_NAME" value="service.BankAccountServiceImplTest" />
      <option name="METHOD_NAME" value="shouldGetTransactions" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MonetaryFormatTest.getMonetaryFormat" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="bankaccountkata" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="utils" />
      <option name="MAIN_CLASS_NAME" value="utils.MonetaryFormatTest" />
      <option name="METHOD_NAME" value="getMonetaryFormat" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.BankAccountServiceImplTest" />
        <item itemvalue="JUnit.MonetaryFormatTest.getMonetaryFormat" />
        <item itemvalue="Application.Main" />
        <item itemvalue="JUnit.BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" />
        <item itemvalue="JUnit.BankAccountServiceImplTest.shouldGetTransactions" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e01b2fea-03c9-4460-885e-d762aec0bf16" name="Default Changelist" comment="" />
      <created>1556024575364</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1556024575364</updated>
      <workItem from="1556024580740" duration="23578000" />
      <workItem from="1556121473527" duration="11324000" />
    </task>
    <task id="LOCAL-00001" summary="Initial commit">
      <created>1556186356144</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1556186356144</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 40m 03s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 40m 35s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 41m 25s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 41m 34s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 41m 55s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest_shouldGetNotEnoughBalanceException - 2019.04.25 at 11h 42m 03s.xml">
      <configuration name="BankAccountServiceImplTest.shouldGetNotEnoughBalanceException" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest - 2019.04.25 at 11h 42m 45s.xml">
      <configuration name="BankAccountServiceImplTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="MonetaryFormatTest_getMonetaryFormat - 2019.04.25 at 11h 56m 57s.xml">
      <configuration name="MonetaryFormatTest.getMonetaryFormat" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest - 2019.04.25 at 11h 57m 02s.xml">
      <configuration name="BankAccountServiceImplTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="BankAccountServiceImplTest - 2019.04.25 at 11h 57m 29s.xml">
      <configuration name="BankAccountServiceImplTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="34902000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="1912" y="-8" width="1936" height="1056" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.25266525" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32936078" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3629469" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3997833" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32936078" />
      <window_info active="true" anchor="bottom" id="Terminal" order="7" visible="true" weight="0.32936078" />
      <window_info anchor="bottom" id="Docker" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32936078" />
      <window_info anchor="bottom" id="SonarLint" order="11" weight="0.32936078" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="bottom" id="Version Control" order="13" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.32995737" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Initial commit" />
    <option name="LAST_COMMIT_MESSAGE" value="Initial commit" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/model.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/service.java" />
    <entry file="file://$PROJECT_DIR$/src/test/java/exception/NegativeAmountExceptionTest.java" />
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="493">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="jar://D:/Program Files/Java/jdk1.8.0_172/src.zip!/java/math/BigDecimal.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1893">
          <caret line="329" column="39" selection-start-line="329" selection-start-column="35" selection-end-line="329" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/service/OperationsDisplayServiceTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="9" column="24" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/utils/MonetaryFormat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="37" selection-start-line="5" selection-start-column="37" selection-end-line="5" selection-end-column="37" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/entities/Account.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="29" selection-start-line="12" selection-start-column="29" selection-end-line="12" selection-end-column="29" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/exception/InvalidAmountException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="60" selection-start-line="2" selection-start-column="44" selection-end-line="2" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/exception/NotEnoughBalanceException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/enumeration/OperationTypeEnum.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/service/BankAccountServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="16" column="32" selection-start-line="16" selection-start-column="32" selection-end-line="16" selection-end-column="32" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/service/BankAccountService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/service/OperationsDisplayService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="4" selection-start-line="13" selection-start-column="4" selection-end-line="13" selection-end-column="4" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/utils/MonetaryFormatTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="16" column="17" selection-start-line="16" selection-start-column="17" selection-end-line="16" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/service/BankAccountServiceImplTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1292">
          <caret line="80" column="44" selection-start-line="80" selection-start-column="44" selection-end-line="80" selection-end-column="44" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/entities/Operation.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="401">
          <caret line="32" column="8" selection-start-line="32" selection-start-column="8" selection-end-line="32" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>bankaccountkata</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>